{
    "$graph": [
        {
            "label": "Post-process CMsearch annotations",
            "class": "CommandLineTool",
            "hints": [
                {
                    "dockerPull": "ncbi/bacterial_noncoding:pgap4.4",
                    "class": "DockerRequirement"
                }
            ],
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": true
                        }
                    ]
                }
            ],
            "baseCommand": "annot_merge",
            "arguments": [
                "-unique"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#annot_merge.cwl/asn_cache"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#annot_merge.cwl/input"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "annots.asn",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#annot_merge.cwl/output_name"
                }
            ],
            "id": "#annot_merge.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#annot_merge.cwl/annots"
                }
            ]
        },
        {
            "label": "Run genomic CMsearch (5S rRNA), execution",
            "class": "CommandLineTool",
            "hints": [
                {
                    "dockerPull": "ncbi/bacterial_noncoding:pgap4.4",
                    "class": "DockerRequirement"
                }
            ],
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": true
                        }
                    ]
                }
            ],
            "baseCommand": "cmsearch_wnode",
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#cmsearch_wnode.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 0,
                    "inputBinding": {
                        "prefix": "-cmsearch-cpu"
                    },
                    "id": "#cmsearch_wnode.cwl/cmsearch_cpu"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "/gpipe/bin",
                    "inputBinding": {
                        "prefix": "-cmsearch-path"
                    },
                    "id": "#cmsearch_wnode.cwl/cmsearch_path"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input-jobs"
                    },
                    "id": "#cmsearch_wnode.cwl/input_jobs"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-model-path"
                    },
                    "id": "#cmsearch_wnode.cwl/model_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "output",
                    "inputBinding": {
                        "prefix": "-O"
                    },
                    "id": "#cmsearch_wnode.cwl/output_dir"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-rfam-amendments"
                    },
                    "id": "#cmsearch_wnode.cwl/rfam_amendments"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-rfam-stockholm"
                    },
                    "id": "#cmsearch_wnode.cwl/rfam_stockholm"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.asn_cache.basename)"
                    },
                    "id": "#cmsearch_wnode.cwl/asncache"
                },
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.output_dir)"
                    },
                    "id": "#cmsearch_wnode.cwl/outdir"
                }
            ],
            "id": "#cmsearch_wnode.cwl"
        },
        {
            "label": "Run genomic CMsearch (5S rRNA), gather",
            "class": "CommandLineTool",
            "hints": [
                {
                    "dockerPull": "ncbi/bacterial_noncoding:pgap4.4",
                    "class": "DockerRequirement"
                }
            ],
            "baseCommand": "gpx_qdump",
            "arguments": [
                "-unzip",
                "*"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-input-path"
                    },
                    "id": "#gpx_qdump.cwl/input_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "cmsearch.asn",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_qdump.cwl/output_name"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#gpx_qdump.cwl/annots"
                }
            ],
            "id": "#gpx_qdump.cwl"
        },
        {
            "label": "BLAST against rRNA db, scatter",
            "class": "CommandLineTool",
            "hints": [
                {
                    "dockerPull": "ncbi/bacterial_noncoding:pgap4.4",
                    "class": "DockerRequirement"
                }
            ],
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": true
                        }
                    ]
                }
            ],
            "baseCommand": "gpx_qsubmit",
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#gpx_qsubmit_gcmsearch.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "jobs.xml",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_qsubmit_gcmsearch.cwl/output"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-ids"
                    },
                    "id": "#gpx_qsubmit_gcmsearch.cwl/seqids"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.asn_cache.basename)"
                    },
                    "id": "#gpx_qsubmit_gcmsearch.cwl/asncache"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output)"
                    },
                    "id": "#gpx_qsubmit_gcmsearch.cwl/jobs"
                }
            ],
            "id": "#gpx_qsubmit_gcmsearch.cwl"
        },
        {
            "label": "Run genomic CMsearch (5S rRNA)",
            "class": "Workflow",
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#main/asn_cache"
                },
                {
                    "type": "File",
                    "id": "#main/model_path"
                },
                {
                    "type": "File",
                    "id": "#main/rfam_amendments"
                },
                {
                    "type": "File",
                    "id": "#main/rfam_stockholm"
                },
                {
                    "type": "File",
                    "id": "#main/seqids"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/annot_merge/annots",
                    "id": "#main/annots"
                }
            ],
            "steps": [
                {
                    "run": "#annot_merge.cwl",
                    "in": [
                        {
                            "source": "#main/cmsearch_wnode/asncache",
                            "id": "#main/annot_merge/asn_cache"
                        },
                        {
                            "source": "#main/gpx_qdump/annots",
                            "id": "#main/annot_merge/input"
                        }
                    ],
                    "out": [
                        "#main/annot_merge/annots"
                    ],
                    "id": "#main/annot_merge"
                },
                {
                    "run": "#cmsearch_wnode.cwl",
                    "in": [
                        {
                            "source": "#main/gpx_qsubmit/asncache",
                            "id": "#main/cmsearch_wnode/asn_cache"
                        },
                        {
                            "source": "#main/gpx_qsubmit/jobs",
                            "id": "#main/cmsearch_wnode/input_jobs"
                        },
                        {
                            "source": "#main/model_path",
                            "id": "#main/cmsearch_wnode/model_path"
                        },
                        {
                            "source": "#main/rfam_amendments",
                            "id": "#main/cmsearch_wnode/rfam_amendments"
                        },
                        {
                            "source": "#main/rfam_stockholm",
                            "id": "#main/cmsearch_wnode/rfam_stockholm"
                        }
                    ],
                    "out": [
                        "#main/cmsearch_wnode/asncache",
                        "#main/cmsearch_wnode/outdir"
                    ],
                    "id": "#main/cmsearch_wnode"
                },
                {
                    "run": "#gpx_qdump.cwl",
                    "in": [
                        {
                            "source": "#main/cmsearch_wnode/outdir",
                            "id": "#main/gpx_qdump/input_path"
                        }
                    ],
                    "out": [
                        "#main/gpx_qdump/annots"
                    ],
                    "id": "#main/gpx_qdump"
                },
                {
                    "run": "#gpx_qsubmit_gcmsearch.cwl",
                    "in": [
                        {
                            "source": "#main/asn_cache",
                            "id": "#main/gpx_qsubmit/asn_cache"
                        },
                        {
                            "source": "#main/seqids",
                            "id": "#main/gpx_qsubmit/seqids"
                        }
                    ],
                    "out": [
                        "#main/gpx_qsubmit/asncache",
                        "#main/gpx_qsubmit/jobs"
                    ],
                    "id": "#main/gpx_qsubmit"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
